Show a tool action approval
curl --request GET \
--url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"summary": "<string>",
"decision": "<string>",
"provider_type": "<string>",
"action_slug": "<string>",
"action_label": "<string>",
"confirmation": "<string>",
"approvals_required": 123,
"approval_votes": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "<string>"
}
],
"provider_login": "<string>",
"gateway_name": "<string>",
"token_name": "<string>",
"arguments": {},
"result": {},
"error": "<string>",
"risk_level": "<string>",
"requested_by_kind": "<string>",
"requested_by": {
"kind": "<string>",
"name": "<string>",
"workflow_name": "<string>",
"agent_name": "<string>"
},
"prompt_workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ephemeral_execution_id": "<string>",
"copilot_session_id": "<string>",
"integration_connection_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"decided_via": "<string>",
"decided_by_api_key_name": "<string>",
"decided_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"full_name": "<string>",
"username": "<string>",
"name_initial": "<string>"
},
"auto_allowed_by": "<string>",
"auto_allowed_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_allowed_source_name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_arguments": {},
"arguments_edited_at": "2023-11-07T05:31:56Z",
"arguments_edited_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"changed_fields": [
"<string>"
],
"resolved_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_policy_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"locked_rule_effect": "<string>",
"audience_role": "admin",
"integration_authorization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_key": "<string>",
"batch_pending_count": 123,
"batch_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>"
}
],
"capabilities": {
"can_always_allow": true,
"can_run_decision": true
}
}
}Agents
Show a tool action approval
GET
/
v1
/
public
/
workspaces
/
{workspace_id}
/
tool_action_approvals
/
{id}
Show a tool action approval
curl --request GET \
--url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/tool_action_approvals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"summary": "<string>",
"decision": "<string>",
"provider_type": "<string>",
"action_slug": "<string>",
"action_label": "<string>",
"confirmation": "<string>",
"approvals_required": 123,
"approval_votes": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "<string>"
}
],
"provider_login": "<string>",
"gateway_name": "<string>",
"token_name": "<string>",
"arguments": {},
"result": {},
"error": "<string>",
"risk_level": "<string>",
"requested_by_kind": "<string>",
"requested_by": {
"kind": "<string>",
"name": "<string>",
"workflow_name": "<string>",
"agent_name": "<string>"
},
"prompt_workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ephemeral_execution_id": "<string>",
"copilot_session_id": "<string>",
"integration_connection_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"decided_via": "<string>",
"decided_by_api_key_name": "<string>",
"decided_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"full_name": "<string>",
"username": "<string>",
"name_initial": "<string>"
},
"auto_allowed_by": "<string>",
"auto_allowed_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_allowed_source_name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_arguments": {},
"arguments_edited_at": "2023-11-07T05:31:56Z",
"arguments_edited_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"changed_fields": [
"<string>"
],
"resolved_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_policy_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"locked_rule_effect": "<string>",
"audience_role": "admin",
"integration_authorization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_key": "<string>",
"batch_pending_count": 123,
"batch_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>"
}
],
"capabilities": {
"can_always_allow": true,
"can_run_decision": true
}
}
}Was this page helpful?

